; Readme Script for Dan's Demo     Revised: 02-20-91 08:19pm
Cursor OFF
PROC Explode.u(l)
   PaintCanvas ATTRIBUTE (Int(SysColor(8)/16) * 17) 0, 0,24,79  ; Make text invisible
   Canvas ON                              ; Turn canvas on so we see effect
   PaintCanvas ATTRIBUTE SysColor(8) 11,36,12,43 ; Gradually reveal the text
   Sleep 100
   PaintCanvas ATTRIBUTE SysColor(8) 10,33,13,46
   Sleep 20
   PaintCanvas ATTRIBUTE SysColor(8)  9,30,14,49
   Sleep 20
   PaintCanvas ATTRIBUTE SysColor(8)  8,27,15,52
   Sleep 20
   PaintCanvas ATTRIBUTE SysColor(8)  7,24,16,55
   Sleep 20
   PaintCanvas ATTRIBUTE SysColor(8)  6,21,17,58
   Sleep 20
   PaintCanvas ATTRIBUTE SysColor(8)  5,18,18,61
   Sleep 20
   PaintCanvas ATTRIBUTE SysColor(8)  4,15,19,64
   Sleep 20
   PaintCanvas ATTRIBUTE SysColor(8)  3,12,20,67
   Sleep 20
   PaintCanvas ATTRIBUTE SysColor(8)  2, 8,21,71
   Sleep 20
   PaintCanvas ATTRIBUTE SysColor(8)  1, 4,22,75
   Sleep 20
   PaintCanvas ATTRIBUTE SysColor(8)  0, 0,24,79 ; Finished expanding
   IF l THEN
      Style ATTRIBUTE SysColor(3)
      @ 24,0 ?? Format("w80,ac","Please Press any Key...")
      Style
   ENDIF
ENDPROC
Style ATTRIBUTE SysColor(3)
   @ 0,0 ?? Format("w80,ac","W O R K I N G - One Moment...")
Style
IF DirExists("ERR") = 0 THEN
   Run NOREFRESH "MD ERR"              ; Errorlog Directory
ENDIF
IF PrivDir() = "" AND DirExists("PRI") = 0 THEN
   Run NOREFRESH "MD PRI"              ; Default Private Directory
ENDIF

IF DirExists("D") = 0 OR DirExists("L") = 0 OR DirExists("PAL") = 0 THEN
Canvas OFF
Clear
@ 0,0
TEXT


      WARNING!!! - Sub-Directories necessary for the operation of
                   this Demostration are missing.  Review the list
                   of Files and Directories displayed in the file:
                   DEMOFILE.sc, which lists all Files, Directories
                   and File Sizes.  Verify that all were Unzipped.

                   Most likely, you did not use the "-d" Parameter
                   when UnZipping the Files.  The UnZip syntax is:

                               Pkunzip -d DANUTL

                   This will UnZip the Demo Sub-Directories stored
                   in the DANUTL.zip File.  Please EMail me in the
                   event that you still have difficulty extracting
                   the files.  This part has been tested, though!!

ENDTEXT
Explode.u(true)
retval = GetChar()
   QUIT " Remember to Unzip Using:  PKUNZIP -d DANUTL.zip "
ENDIF
Canvas OFF
Clear
@ 0,0
TEXT
               Welcome to Dan's Demo - Version 3.3 - Paradox 3.01
            A Demonstration of the Use of Generic Utility Procedures
       
       To use the demonstration, make sure that you have installed all of
       the files and sub-directories into a separate directory.  When you
       have finished reading this DDReadme script, a menu will ask if you
       want to compile the demo libraries, and play the demo, or quit for
       now.  If you need to recompile the libraries at any time, play the
       DMakelib script.  To run the demo, simply play the Dandemo script.

       I have tried to name the various files so that, if you did not put
       them in a separate directory, it isn't likely that they over-wrote
       any of your own files.  It will make it easier to manage the files
       if you they are in their own directory.  I have used RDA (Relative
       Directory Addressing), a technique which groups related files into
       sub-directories of the working directory.

       I created this demonstration program as a teaching tool for Users'
       Groups, and as a self-teaching demonstration application available
       from both the CompuServe and GEnie information services; I provide
       Paradox Tech Support on GEnie and can be found hanging out on CIS.
       I hope that new Paradox developers will learn some new tricks, and
       see some of the different things that can be done in PAL.   I also
       hope that more experienced developers will help refine this demo.
ENDTEXT
Explode.u(true)
retval = GetChar()
Canvas OFF
Clear
@ 2,0
TEXT
       I hope you enjoy this demonstration program.  I tried to make this
       entertaining, as well as informative and educational.  I encourage
       you to study, use and modify these procedures, for use in your own
       applications, with two conditions.  First, that you do not include
       all of these procedures and/or the demo code in a similar product,
       and then market it in your name; second, that you give attribution
       somewhere in your code to the various authors of any routines that
       you have borrowed, whether in whole or part.   I use the following
       levels of attribution:  "Written by", if I just up and borrowed it
       without making any significant changes; "Based on a Procedure by",
       if I have added some functionality; and, "Based on an Idea by", if
       I have used someone else's routine as a foundation for a different
       procedure.  I would like to see you continue the Paradox community
       tradition of sharing advice, solutions, and even some constructive
       criticism.  There are too many people for me to mention all of the
       Paradox users who have helped me to grow over the past four years,
       but I thank them all.        P.S. - Keep those Bug Lists Coming!!!
            Ŀ
             Daniel J. Paolini II          Days:  (609) 291-2016 
             dp Solutions, Inc.            Eves:  (609) 461-5103 
             19 S. Bridgeboro Street       CIS:   72040,1626     
             Delran, New Jersey  08075     GEnie: DPAOLINI       
            
ENDTEXT
Explode.u(false)
Release PROCS ALL
SHOWMENU
    "START" : "Start the Demonstration!",
    "QUIT"  : "Quit for Now, See the Demonstration Later"
TO a

IF NOT retval
OR a = "QUIT" THEN
    Release VARS ALL
    Quit " Thanks for your Curiosity!.. "
ENDIF
Clear
Reset
Release VARS ALL
Play "Pal\\DMakelib"
